Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059513 - haddock duplicates common doc files in each library package
Summary: haddock duplicates common doc files in each library package
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: ghc
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-30 03:34 UTC by Jens Petersen
Modified: 2018-05-01 10:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Jens Petersen 2014-01-30 03:34:43 UTC
Description of problem:
I think this was reported indirectly in some javascript
file duplication fedora mail report (ie for haddock-util.js).
Haddock duplicates some common files in the html doc
files in each package.  It would be better to have
only a single copy of them on a system and link to
them somehow if possible.

Steps to Reproduce:
1. rpm -qla ghc-*devel | grep css
(haddock puts too css files in the devel package html docs)

Actual results:
1. 613

Additional info:
Need to check more on feasibility.

Comment 1 Fedora End Of Life 2015-05-29 10:44:29 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Jens Petersen 2018-05-01 10:33:37 UTC
This should really go upstream...


Note You need to log in before you can comment on or make changes to this bug.